Subject: Re: [Ecrit] Ecrit Digest, Vol 100, Issue 5

From: Bonte Joke <[email-masked]>
Date: Mon, 6 May 2013 09:26:46 +0200

Bonte Joke
Attaché Project 112
T 02 500 22 57
G 0479 900897
F 02 500 23 61

[email-masked]
FOD Binnenlandse Zaken | SPF Intérieur
Algemene Directie Civiele Veiligheid • Direction générale de la Sécurité Civile
Project Team 112
Leuvense weg 3 • Rue de louvain 3
1000 Brussel • Bruxelles
________________________________________
Van: [email-masked] [[email-masked]] namens [email-masked] [[email-masked]]
Verzonden: zondag 5 mei 2013 21:00
Aan: [email-masked]
Onderwerp: Ecrit Digest, Vol 100, Issue 5

If you have received this digest without all the individual message
attachments you will need to update your digest options in your list
subscription.  To do so, go to

https://www.ietf.org/mailman/listinfo/ecrit

Click the 'Unsubscribe or edit options' button, log in, and set "Get
MIME or Plain Text Digests?" to MIME.  You can set this option
globally for all the list digests you receive at this point.

Send Ecrit mailing list submissions to
        [email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
        https://www.ietf.org/mailman/listinfo/ecrit
or, via email, send a message with subject or body 'help' to
        [email-masked]

You can reach the person managing the list at
        [email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of Ecrit digest..."

Today's Topics:

   1. I-D Action: draft-ietf-ecrit-additional-data-08.txt
      ([email-masked])
   2. Additional Data: Version -08 (Hannes Tschofenig)
   3. Re: draft-ietf-ecrit-additional-data-07 (Hannes Tschofenig)

----------------------------------------------------------------------

Message: 1
Date: Sun, 05 May 2013 04:16:46 -0700
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Subject: [Ecrit] I-D Action: draft-ietf-ecrit-additional-data-08.txt
Message-ID: <[email-masked]>
Content-Type: text/plain; charset="utf-8"

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Emergency Context Resolution with Internet Technologies Working Group of the IETF.

        Title           : Additional Data related to an Emergency Call
        Author(s)       : Brian Rosen
                          Hannes Tschofenig
                          Roger Marshall
                          Randall Gellens
        Filename        : draft-ietf-ecrit-additional-data-08.txt
        Pages           : 81
        Date            : 2013-05-05

Abstract:
   When an emergency call is sent to a Public Safety Answering Point
   (PSAP), the device that sends it, as well as any application service
   provider in the path of the call, or access network provider through
   which the call originated may have information about the call or the
   caller which the PSAP may be able to use.  This document describes
   data structures to convey such data to the PSAP.  In addition, data
   may also be included by reference, via a Uniform Resource Identifier
   (URI) pointing to data found at an external resource.  Consequently,
   this document follows the tradition of prior emergency services
   standardization work where data can be conveyed by value within the
   call signaling (i.e., in body of the SIP message) and also by
   reference.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ecrit-additional-data

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-ecrit-additional-data-08

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-ecrit-additional-data-08

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

------------------------------

Message: 2
Date: Sun, 05 May 2013 14:29:57 +0300
From: Hannes Tschofenig <[email-masked]>
To: "[email-masked]" <[email-masked]>
Subject: [Ecrit] Additional Data: Version -08
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

Hi all,

I just posted an interim update (as version -08) for the additional data
draft. It captures some of the discussions we had on the mailing list
recently but it is not a complete update yet since there are a number of
other issues that need to be addressed.

Here is the updated version:
https://datatracker.ietf.org/doc/draft-ietf-ecrit-additional-data

 From the diff you can see that I
* updated the introduction,
* added terminology (related to the discussion about service provider),
* updated the XML schemas,
* included extension points to the schemas,
* added more examples (which have been validated against the schemas),
* added the vCard/xCard XML schema,
* fixed various bugs, and
* updated references

Ciao
Hannes

------------------------------

Message: 3
Date: Sun, 05 May 2013 21:08:37 +0300
From: Hannes Tschofenig <[email-masked]>
To: Gunnar Hellstrom <[email-masked]>
Cc: [email-masked]
Subject: Re: [Ecrit] draft-ietf-ecrit-additional-data-07
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

Hi Gunnar,

thanks for the feedback.

Comments below.

On 05/01/2013 09:52 PM, Gunnar Hellstrom wrote:
> Hannes,
>
> Looking at the contents of the list of different service providers, I
> wonder if there should be more types defined.
> It depends of course on what usage this information is expected to have.
>
> It seems that the various language translation and expert advice
> services that can be involved in emergency calls could be of interest to
> include here.
>
> Current list
> ------------------------------------------------------------
>
>
>         14.1.2
>         <http://tools.ietf.org/html/draft-ietf-ecrit-additional-data-07#section-14.1.2>.
>         Additional Call Data Service Provider Type Registry
>
>
>
>     +------------------------------+------------------------------------+
>     | Name                         | Description                        |
>     +------------------------------+------------------------------------+
>     |Access Infrastructure Provider| Access network service provider    |
>     |Service Provider              | Calling or Origination telecom SP  |
>     |Service Provider Subcontractor| A contractor to another kind of SP |
>     |Telematics Provider           | A sensor based SP, especially      |
>     |                              | vehicle based                      |
>     |Relay Provider                | A interpretation SP, for example,  |
>     |                              | video relay for sign language      |
>     |                              | interpretors                       |
>     |Other                         | Any other type of service provider |
>     +------------------------------+------------------------------------+
>
> -------------------------------------
> Proposal with more types
>
>     +------------------------------+------------------------------------+
>     | Name                         | Description                        |
>     +------------------------------+------------------------------------+
>     |Access Infrastructure Provider| Access network service provider    |
>     |Application Service Provider  | Calling or Origination telecom SP  |
>     |Service Provider Subcontractor| A contractor to another kind of SP |
>     |Telematics Provider           | A sensor based SP, especially      |
>     |                              | vehicle based                      |
>     |Language translation Provider | A spoken language translation SP   |
>     |Expert advice provider        | An SP giving expert advice         |
>     |Emergency Modality translation| An emergency call specific         |
>     |                              | modality translation service       |
>     |                              | e.g. for sign language             |
>     |Relay Provider                | A interpretation SP, for example,  |
>     |                              | video relay for sign language      |
>     |                              | interpreting                        |
>     |Other                         | Any other type of service provider |
>     +------------------------------+------------------------------------+

I personally think that the clarifications you added and the new types
are good. We might need to change the Access Infrastructure Provider" to
"Access Network Provider", as we did in the terminology section.

I am also not sure why there is the "Service Provider Subcontractor" term.

>
> -----------------------------------
> I inserted the "Emergency Modality translation", because there is a
> tendency in USA to not use the term "relay service" for cases when the
> service is arranged specifically for
> handling modality conversion in emergency call and when the PSAP can
> participate in all media communication but need this extra service to
> mediate the communication.

Why wouldn't you call it "Emergency Modality Translator" instead?

>
> The expert advice provider is usually added in a bridge operation after
> the original incoming call. But I can imagine that the additional-data
> is of interest also for such situations

Why wouldn't you use the term "Relay Provider"?

>
> For deciding on this, I think it would be good to have an idea of the
> use of this information.

Section 5.4 provides a little bit of information about how this data is
used:

    How Used by Call Taker:  To decide who to contact when further
       information is needed

This is essentially meta-data about the entity that provides information.

>
> Will it be used for a review if a call was properly handled?  If so,
> maybe even more detail is needs, such as what kind of relay service was
> invoked, so that it is possible to check if it was of a suitable kind.

When you say "what kind of relay" what would you pass along?

>
> Or are such details provided in some other parameter?

You have to check in the rest of the document. Since I don't know what
other information you have in mind I do not really know whether it is
already available.

>
> I think this should be checked with EENA and NENA to verify if more
> needs in this area have been developed lately.

Definitely. This work was initially developed in NENA and there were two
groups working on this stuff.

I am definitely planning to produce a tutorial for the emergency
services authorities in Europe to provide some feedback. Letting them to
review this draft is maybe not too useful since the information is too
low-level.

Ciao
Hannes

>
> /Gunnar
>
>
>
>
>
>
>
>
>
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ecrit
>

------------------------------

_______________________________________________
Ecrit mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ecrit

End of Ecrit Digest, Vol 100, Issue 5
*************************************